purescript-0.15.15: PureScript Programming Language Compiler

Safe Haskell | None
Language | Haskell2010

Language.PureScript.Ide.Completion

Synopsis

- getCompletions :: [Filter] -> Matcher IdeDeclarationAnn -> CompletionOptions -> ModuleMap [IdeDeclarationAnn] -> [Completion]
- getExactMatches :: Text -> [Filter] -> ModuleMap [IdeDeclarationAnn] -> [Match IdeDeclarationAnn]
- getExactCompletions :: Text -> [Filter] -> ModuleMap [IdeDeclarationAnn] -> [Completion]
- simpleExport :: Match a -> (Match a, [ModuleName])
- completionFromMatch :: (Match IdeDeclarationAnn, [ModuleName]) -> Completion
- data CompletionOptions = CompletionOptions {
  - coMaxResults :: Maybe Int
  - coGroupReexports :: Bool
  }
- defaultCompletionOptions :: CompletionOptions
- applyCompletionOptions :: CompletionOptions -> [Match IdeDeclarationAnn] -> [(Match IdeDeclarationAnn, [ModuleName])]

# Documentation

getCompletions :: [Filter] -> Matcher IdeDeclarationAnn -> CompletionOptions -> ModuleMap [IdeDeclarationAnn] -> [Completion] #

Applies the CompletionFilters and the Matcher to the given Modules and sorts the found Completions according to the Matching Score

getExactMatches :: Text -> [Filter] -> ModuleMap [IdeDeclarationAnn] -> [Match IdeDeclarationAnn] #

getExactCompletions :: Text -> [Filter] -> ModuleMap [IdeDeclarationAnn] -> [Completion] #

simpleExport :: Match a -> (Match a, [ModuleName]) #

completionFromMatch :: (Match IdeDeclarationAnn, [ModuleName]) -> Completion #

data CompletionOptions #

Constructors

CompletionOptions |

Fields

- coMaxResults :: Maybe Int
- coGroupReexports :: Bool

#### Instances

Instances details

FromJSON CompletionOptions # |
Instance details Defined in Language.PureScript.Ide.Completion Methods parseJSON :: Value -> Parser CompletionOptions # parseJSONList :: Value -> Parser [CompletionOptions] # omittedField :: Maybe CompletionOptions #

defaultCompletionOptions :: CompletionOptions #

applyCompletionOptions :: CompletionOptions -> [Match IdeDeclarationAnn] -> [(Match IdeDeclarationAnn, [ModuleName])] #